public class Bankkonto {

    private String inhaber;
    private double kontostand = 0;
    private double maxKontostand = 100000;
    protected double minKontostand = 0;

    public Bankkonto(String inhaber){
        setInhaber(inhaber);
    }

    public Bankkonto(String inhaber, double eroeffnungsbestand){
        setKontostand(eroeffnungsbestand);
        setInhaber(inhaber);
    }

    public String getInhaber() {
        return inhaber;
    }

    public double getKontostand() {
        return kontostand;
    }

    public boolean setInhaber(String inhaber) {
        if(inhaber.length() > 2) {
            this.inhaber = inhaber;
            return true;
        }
        return false;
    }

    public boolean setKontostand(double kontostand) {
        if(kontostand > maxKontostand) {
            this.kontostand = maxKontostand;
            return false;
        }
        else if(kontostand < minKontostand){
            this.kontostand = minKontostand;
            return false;
        }
        else{
            this.kontostand = kontostand;
            return true;
        }
    }

    public boolean einzahlen(double betrag){
        if(setKontostand(kontostand + betrag)){
            return true;
        }
        return false;
    }

    public boolean beziehen(double betrag){
        if(setKontostand(kontostand - betrag)){
            return true;
        }
        return false;
    }

    @Override
    public String toString() {
        return "Inhaber: " + getInhaber() + ", Kontostand: " + kontostand;
    }
}
