public class Salaerkonto extends Bankkonto{

    private double absolutMinKontostand = -10000;

    public Salaerkonto(String inhaber, double bezugslimite, double eroeffnungsbestand){
        super(inhaber);
        setMinKontostand(0 - bezugslimite);
        super.setKontostand(eroeffnungsbestand);
    }

    public Salaerkonto(String inhaber, double bezugslimite){
        super(inhaber);
        setMinKontostand(0 - bezugslimite);
    }

    public double getUeberzugslimite(){
        return 0 - minKontostand;
    }

    private boolean setMinKontostand(double minKontostand){
        if(minKontostand < absolutMinKontostand){
            super.minKontostand = absolutMinKontostand;
            return false;
        } else {
            super.minKontostand = minKontostand;
            return true;
        }
    }

    @Override
    public String toString() {
        return super.toString() + ", Ueberzugslimite: " + getUeberzugslimite();
    }
}
